### 5.1.13 contract

`Syntax:`
  `contract (` ideal_expression`,` ideal_expression `)`
`Type:`
  matrix
`Purpose:`
  contracts each of the n elements of the second ideal J by each of the m elements of the first ideal I, producing an matrix.
  Contraction is defined on monomials by:

  where A and B are the multiexponents of the ring variables represented by .`contract` is extended bilinearly to all polynomials.
`Example:`

        ring r=0,(a,b,c,d),dp;
        ideal I=a2,a2+bc,abc;
        ideal J=a2-bc,abcd;
        print(contract(I,J));
      ==> 1,0,
      ==> 0,ad,
      ==> 0,d

See diff.

User manual for Singular version 4.4.1, 2025, generated by texi2html.